<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/mainBackColor"
    android:orientation="vertical">

    <include layout="@layout/include_left_back_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_20"
        android:layout_marginTop="@dimen/dp_10"
        android:background="@drawable/bg_solid_layout_white_radius_10"
        android:gravity="center_vertical"
        android:orientation="vertical"
        android:padding="@dimen/dp_10">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_wendu" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:text="目标水温温度"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/currentTempView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif-medium"
                android:text="42°C"
                android:textColor="@color/mainThemeColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <com.qmuiteam.qmui.widget.QMUISlider
            android:id="@+id/temperatureSlider"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:qmui_slider_bar_height="@dimen/dp_5"
            app:qmui_slider_bar_normal_color="@color/lightMainThemeColor"
            app:qmui_slider_bar_progress_color="@color/mainThemeColor"
            app:qmui_slider_bar_thumb_size="@dimen/dp_25"
            app:qmui_slider_bar_thumb_style_attr="QMUISliderThumbStyle" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/minTempView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="40"
                android:textColor="@color/subMainThemeColor"
                android:textSize="@dimen/sp_16" />

            <TextView
                android:id="@+id/maxTempView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="end"
                android:text="100"
                android:textColor="@color/subMainThemeColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/kitchenTimeLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_20"
        android:layout_marginTop="@dimen/dp_10"
        android:background="@drawable/bg_solid_layout_white_radius_10"
        android:gravity="center_vertical"
        android:orientation="vertical"
        android:padding="@dimen/dp_10">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:src="@drawable/ic_shidu" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="@dimen/dp_10"
                android:text="出水量"
                android:textColor="@color/mainTextColor"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/currentVolumeView"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:fontFamily="sans-serif-medium"
                android:text="300mL"
                android:textColor="@color/mainThemeColor"
                android:textSize="@dimen/sp_14" />
        </LinearLayout>

        <com.qmuiteam.qmui.widget.QMUISeekBar
            android:id="@+id/volumeSeekBar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:qmui_slider_bar_height="@dimen/dp_5"
            app:qmui_slider_bar_normal_color="@color/lightMainThemeColor"
            app:qmui_slider_bar_progress_color="@color/mainThemeColor"
            app:qmui_slider_bar_thumb_size="@dimen/dp_25" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/minVolumeView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="150mL"
                android:textColor="@color/subMainThemeColor"
                android:textSize="@dimen/sp_16" />

            <TextView
                android:id="@+id/maxVolumeView"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="end"
                android:text="无限"
                android:textColor="@color/subMainThemeColor"
                android:textSize="@dimen/sp_16" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>